Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1267963 - CVE-2015-8326 perl-iptables-parse: various flaws [fedora-all]
Summary: CVE-2015-8326 perl-iptables-parse: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-IPTables-Parse
Version: 22
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1284923 (view as bug list)
Depends On:
Blocks: CVE-2015-8326 1284922
TreeView+ depends on / blocked
 
Reported: 2015-10-01 13:14 UTC by Adam Mariš
Modified: 2015-11-25 10:55 UTC (History)
4 users (show)

Fixed In Version: perl-IPTables-Parse-1.5-2 perl-IPTables-Parse-1.5-2.fc23 perl-IPTables-Parse-1.5-2.fc22 perl-IPTables-Parse-1.5-2.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 10:02:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2015-10-01 13:14:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2015-10-01 13:14:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1267962,1267963

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1267962,1267963

Comment 2 Miloslav Trmač 2015-10-01 13:59:31 UTC
(I’ll build Fedora updates after upstream reviews this patch.)

Comment 3 Fedora Update System 2015-11-03 15:10:46 UTC
perl-IPTables-Parse-1.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-30f080e459

Comment 4 Fedora Update System 2015-11-03 15:10:47 UTC
perl-IPTables-Parse-1.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0c153d3319

Comment 5 Fedora Update System 2015-11-03 15:10:54 UTC
perl-IPTables-Parse-1.5-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-240dd21cb6

Comment 6 Fedora Update System 2015-11-03 18:20:37 UTC
perl-IPTables-Parse-1.5-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-IPTables-Parse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-240dd21cb6

Comment 7 Fedora Update System 2015-11-03 18:56:06 UTC
perl-IPTables-Parse-1.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-IPTables-Parse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-30f080e459

Comment 8 Fedora Update System 2015-11-03 19:51:57 UTC
perl-IPTables-Parse-1.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-IPTables-Parse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0c153d3319

Comment 9 Fedora Update System 2015-11-19 10:02:01 UTC
perl-IPTables-Parse-1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-11-19 12:23:04 UTC
perl-IPTables-Parse-1.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-11-20 23:24:42 UTC
perl-IPTables-Parse-1.5-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Miloslav Trmač 2015-11-24 13:28:08 UTC
*** Bug 1284923 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.